{
  "name": "nq-client",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite --host 0.0.0.0",
    "build": "run-p type-check \"build-only {@}\" --",
    "build-ntc": "run-p \"build-only {@}\" --",
    "preview": "vite preview",
    "test:unit": "vitest",
    "build-only": "vite build",
    "type-check": "vue-tsc --build --force",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "format": "prettier --write src/"
  },
  "dependencies": {
    "@vueuse/core": "^10.5.0",
    "@vueuse/integrations": "^10.5.0",
    "axios": "^1.7.7",
    "dexie": "^4.0.8",
    "phaser": "^3.86.0",
    "pinia": "^2.1.6",
    "socket.io-client": "^4.8.0",
    "universal-cookie": "^6.1.3",
    "vue": "^3.5.12",
    "zod": "^3.22.2"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.10.3",
    "@tsconfig/node20": "^20.1.4",
    "@types/jsdom": "^21.1.7",
    "@types/node": "^20.14.11",
    "@vitejs/plugin-vue": "^5.0.5",
    "@vue/eslint-config-prettier": "^9.0.0",
    "@vue/eslint-config-typescript": "^13.0.0",
    "@vue/test-utils": "^2.4.6",
    "@vue/tsconfig": "^0.5.1",
    "autoprefixer": "^10.4.19",
    "easystarjs": "^0.4.4",
    "eslint": "^8.57.0",
    "eslint-plugin-vue": "^9.27.0",
    "jsdom": "^24.1.1",
    "npm-run-all2": "^6.2.3",
    "phaser3-rex-plugins": "^1.80.8",
    "phavuer": "^0.16.1",
    "postcss": "^8.4.47",
    "prettier": "^3.3.3",
    "sass": "^1.79.4",
    "tailwindcss": "^3.4.13",
    "typescript": "~5.6.2",
    "vite": "^5.4.9",
    "vite-plugin-compression": "^0.5.1",
    "vite-plugin-vue-devtools": "^7.5.2",
    "vitest": "^2.0.3",
    "vue-tsc": "^1.6.5"
  }
}
